Subject: Re: New Version Notification for draft-piraux-quic-additional-addresses-00.txt

From: Marten Seemann <[email-masked]>
Date: Mon, 17 Oct 2022 16:52:21 +0100

Thank you for the draft. I was wondering if this should be a QUIC frame
instead of a transport parameter.

A frame would make this more interesting for the more general case where
the set of addresses of a node is not static. Take for example a QUIC
connection between two mobile devices (where interfaces / path can come up
/ go down), or for servers located behind NATs / firewalls (which might
need some time to discover their public addresses).

On Mon 17. Oct 2022 at 16:30, Maxime Piraux <[email-masked]>
wrote:

> Hello QUIC wg,
>
> We have submitted a document proposing a new QUIC Transport Parameter for
> servers to announce additional addresses that can be used in a QUIC
> connection.
>
> The proposed mechanism addresses scenarios in which dual-stack and
> multihomed servers would like to advertise several server addresses so that
> clients can use them to cope with the loss of an address family and a
> provider failure. When Multipath QUIC is used over the connection, this
> extension can also be used to advertise addresses towards which additional
> paths can be established.
>
> The transport parameter is complementary to the use of Preferred Address
> and this point is also discussed in the document. We hope the document will
> spark interesting discussions and welcome any feedback.
>
> Maxime Piraux
> -------- Message transféré --------
> Sujet : New Version Notification for
> draft-piraux-quic-additional-addresses-00.txt
> Date : Fri, 14 Oct 2022 04:55:31 -0700
> De : [email-masked]
> Pour : Maxime Piraux <[email-masked]>
> <[email-masked]>, Olivier Bonaventure
> <[email-masked]> <[email-masked]>,
> Olivier Bonaventure <[email-masked]>
> <[email-masked]>
>
>
> A new version of I-D, draft-piraux-quic-additional-addresses-00.txt
> has been successfully submitted by Maxime Piraux and posted to the
> IETF repository.
>
> Name: draft-piraux-quic-additional-addresses
> Revision: 00
> Title: Additional addresses for QUIC
> Document date: 2022-10-14
> Group: Individual Submission
> Pages: 7
> URL:
> https://www.ietf.org/archive/id/draft-piraux-quic-additional-addresses-00.txt
> Status:
> https://datatracker.ietf.org/doc/draft-piraux-quic-additional-addresses/
> Html:
> https://www.ietf.org/archive/id/draft-piraux-quic-additional-addresses-00.html
> Htmlized:
> https://datatracker.ietf.org/doc/html/draft-piraux-quic-additional-addresses
>
>
> Abstract:
> This document specifies a QUIC Transport Parameter enabling a QUIC
> server to advertise additional addresses that can be used for a QUIC
> connection.
>
>
>
> The IETF Secretariat
>
>
>